
Changes since version 1.2.1: #######################################
- Fix #242: Do not push item types (Demand) to followup docs
- Fix #241: Allow negative item sums
- Changes to fix CI

=> release v. 1.2.2 (Oct 1, 2024)

Changes since version 1.2: #########################################

- Fixed a stupid release bug and name the release properly
- Fixed the defaultprovider test
  Thanks t-8ch for contribution <3

=> release v. 1.2.1 (May 5, 2024)

Changes since version 1.1: #########################################

- Manual: Updated text and dutch translations
- Manual: Updated screenshots for all languages
- Fix #211: Be more robust if no .git file is there
- Fix cmake warnings
- Substancial code cleanups
- Fix reproducable builds
- Fix saving of XRechnung files
- Added a template for XRechnung version 3.0.1
- Fix #218: Add a image mask for reportlab
- Fix tests
- Add checkbox to mark document types to get XRechnung support
- Add a feedback link to the system overview page

=> release v. 1.2 (May 5, 2024)

Changes since version 1.0: #########################################

- updated nl translations of the manual
- update the app translations
- Fix the application icon
- Fix the changed Akonadi Prefix, added build switch AKONADI_LEGACY_BUILD
- More Akonadi related ifdefs
- Few fixes and improvements to cmake files (eg. #205)
- cleanup of code and remove endl which removes lots of warnings
- Allow Macros in pre- and post text, to support date calculations and
  sum calculation (incl. tax) based on tags
- more tests
- Add Button to Allow to insert template pre- and post texts rather than
  replace the entire text #167

=> release v. 1.1 (Sept 16, 2023)

Changes since version 0.98: #########################################

- Have two new merge modes for the watermark tool
- PDF watermark tool can also append PDF files now
- Add numbercycle day counter variable (#138)
- Test improvements and new tests added
- User manual improvements
- Localized screenshots in the user manual (Thx Ronald)
- Demand and Alternative: Do not overwrite custom prefix
- Default Demand and Alternative text configurable in prefix dialog
- Add more variables to weasyprint (#166)
- Ability to add EPC QR code to invoices (Giro Code)
- Maintain users bank account to be included in documents
- Add some metadata to the html representation (weasyprint)
- Use custom icons for all icons in Krafti (#175)
- Experimental: html tags in pre- and post tags and items & catalogs
- Add more contrib documents from Achim (BNC)
- Database refresh only in readonly mode
- Huge improvements to the AppImage build (#191)

- Fix: Numbercycle dialog with day counter (#138)
- Fix: Strikeout for deleted items working again
- Fix: Delete column in sqlite migrations (#162)
- Fix: Add -p switch to call of weasyprint (html presentational hints)
- Fix: Set reconnect option for MySQL (#183)

=> release v. 1.0 (Dec 17, 2022)

Changes since version 0.97: #########################################

- Add dutch translation of the manual, Kudos to Ronald Stroethoff
- Add support for XRechnung export of invoices
- User manual improvements
- Translations updates (German)
- Add TOC to the manual
- Add predecessor template variable to weasyprint documents
- Adopt to latest Akonadi versions
- Add ECE20 units for XRechnung
- Fix: Record usage of catalog items properly. Store usage amount and
       last usage time. Display that properly in the catalog editor.
- Fix: Drag and drop sorting of items now working properly.
- Fix: Adopt to new Akonadi v. 5.19
- Fix: Add predecessor variable to weasyprint template.
- Fix: Use correct icons everywhere.
- Fix: Format of date and time corrected.
- Fix: Store useful value for the locale in db. For later.
- Fix: Textselection behaviour consitent
- Fix: Write useful locale settings into the database.
- Fix: Sorting in material catalogue now working.
- Fix: Better error messages if python modules are missing.
- Fix: Read mysql port from config file
- Fix: Rearrange docdetails view a bit if there is a project set.

=> release v. 0.98 (May 22, 2022)

Changes since version 0.96: #########################################

Add read only mode to kraft. Documents cannot be edited, but viewed
and printed. Needs to be configured to share database and the PDF
store directory.

- Fix: Bring back the checkbox for items, this fixes #103
- Fix: Command line option -d works again
- Fix: Fix out of index deletes of items, #102
- Fix: Do watermark on PDFs properly
- Fix: Fix watermark on all pages functionality
- Fix: Align watermark files entry fields properly (community contrib)
- Cmake: Build a static lib of all sources to link with kraft and all
  the tests.

=> release v. 0.97 (Aug 15, 2021)

Changes since version 0.95: #########################################

- Found new MIT licensed icons to avoid uncertainess with CC license.
- Allow to use the "add new" button in the doc editor to add new
  catalog templates. It presets the correct chapter.

- Fix: Use the xmlArchivePath correctly (#80)
- Fix: Handling of Cancel button in template to doc dialog.
- Fix: Convert newlines in the items to <br> for the weasyprint doc
       generation.
- Fix: In Followup document: If the standard text for pre and post
       text of the target document type is empty, the one from the
       source document is copied over instead. (#91)

=> release v. 0.96 (Feb. 27, 2021)

Changes since version 0.90: #########################################

- Add Grantlee as templating engine.
- Add Weasyprint as rendering engine for PDFs.
- Removed Splash screen completely for simplification.
- Switch to python3 with the erml2pdf tool.
- Add a date format selector to Kraft settings. Allow to set a four
  digit year in dates and other formats.
- Fix: Show proper amount of items in no-price-display mode.
- Fix: Show proper timestamp of last change of catalog items with
  SQLite database.
- Fix: show proper number of items also in Lieferschein.
- Fix: Save some more window states (size, position)
- Fix: Set the unit of discount items to pauschal.
- Fix: Also change lastmodified-Timestamp if only an item was added.
- Add the user manual. Open it according to user language.

=> release v. 0.95 (Aug. 28, 2020)

Changes since version 0.82: #########################################

- Reworked follow up and copy document
  * set the correct header- and footer-texts according to the doc type
  * Added a checkbox if items should be copied or not
- New feature: partial invoices that are substracted in the final invoice
- Use an XML based migration system for document types
- Added the first unit tests to Kraft
- Made the document templates not containing any language specific
  strings any more. There is only one doc now for all languages,
  getting translated strings as template variables.
- Removed KeepTogether flag for tables to avoid that a long list of
  items only starts on the next page. Might have impact on some docs.
- Fixed formatting of the amount number in the XML output
- More Less-KDE: Removed more mandatory dependencies on KDE.
- Added 'About Kraft' information to Krafts system view.
- Added document type 'Offer without price tags', which does not
  print price tags on the PDF (issue #58).
- Internationalization: Added dutch translation

=> release v. 0.90 (Dec. 14, 2019)

Changes since version 0.81: #########################################

- Fix send document by email
- Allow emailing through xdg-email and not only through thunderbird
  To enable, set mailUA=xdg in the config file in the system section.
- Fixed wrong usage of i18n command which caused a lot of error
  messages on the console. (#37)
- Time calculation: Add a time unit to the form, allow to calculate
  times in hours, minutes and seconds (#43)
- Refactored the calculation dialog, fixed using margin. (#42)
- Properly ask to waste changes if user hits cancel in Calc dialog.
- Fix some glitches in the setup code path, ie. db update.
- Relaxed the document layout a bit by choosing a smaller font and
  adjusting the table column settings a bit.
- More minor bug fixes and improvements

=> release v. 0.82 (Oct 17, 2018)

Changes since version 0.80: #########################################

- Fix to build with Qt 5.11
- CMake fixes: Installation directories
- Use QProcess instead of system call
- Fix appstream XML data
- Fix display of individual tax block on documents

=> release v. 0.81 (June 12, 2018)

Changes since version 0.59: #########################################

- Port to Qt5/KDE Frameworks 5
- Reduction of build and runtime dependencies, especially
  of KDE Frameworks, replacing old KDE classes with their
  Qt equivalents
- Dropped Webkit. Use QTextbrowser instead. Ported html
  generating code and CSS accordingly
- Dependency on Akonadi is now optional, so builds without
  Akonadi are possible
- Address management in Kraft was abstracted to work with or
  without Akonadi, other address backends could be implemented
  much easier now
- Refresh of the GUI plus new icons, easier.
- Refactored time line models completely
- Show summaries for month and year items: Amount of doc types
  and added sums for each document type
- GUI: New filter combo to limit to docs of last week or last
  month
- Use templates for system view (contributed by Andy Wuest)
- Ship an AppImage for easy testing of Kraft
- Updated ReportLab based PDF generation script (erml2pdf)
- countless bug fixes and improvements

=> release v. 0.80 (Apr 1, 2018)

Changes since version 0.57: #########################################
 - Fix handling of slashes in the doc id template
 - Fix a bug in calculation of the VAT sum
 - Removed kraftcat library as it was unused. Easier building now.

    => release v. 0.58 (Apr, 2014)

Changes since version 0.56: #########################################
 - No code changes. Just version bump because of a bogus tarball.

    => release v. 0.57 (Nov 7, 2014)

Changes since version 0.55: #########################################
 - Fix handling of custom greetings in combobox.
 - Handle document type changes correctly: Set a new ident number
   depending on the new document id
 - Fix behaviour of the greeting combobox: Do not loose custom entries
   any more
 - Add receipient email address if document is emailed
 - Fix document emailing for thunderbird
 - Fix removing of alternative- and on-demand state of items
 - Wording fixes
 - Fix Ok/Cancel for doc editor
 - Better error messages if template cannot be read
 - A couple of crash fixes and memory management cleanups

    => release v. 0.56 (oct 30, 2014)

Changes since version 0.54: #########################################
- Fix a bug with the PDF generation, regression in 0.54
- Fix compiling with latest version of ctemplate

    => release v. 0.55 (may 29, 2014)

Changes since version 0.53: #########################################
- Use new address fetch job implementation that works independant
  from Nepomuk- or Baloo indexing of contacts. (KDE >= 4.12)
- Support note-of-delivery documents (Lieferscheine) without prices.
- Added findcontact utility
- Generate a customer sorted document storage structure on disk
- Improve stylesheet handling in templates, introduce CSS_IMG_PATH
- Use environment variable KRAFT_HOME more consquentely
- Fix tax sum calculation
- Add customer address UID variable to number circle tags
- Some memleak fixes
- Add "followup document" to main menu
- Fix installation of identity.trml
- Allow the tags USERNAME, DATE and TIME in item templates.
- Lots of other cleanups and fixes

    => release v. 0.54 (may 13, 2014)

Changes since version 0.50: #########################################
- Fixes drag and drop handling in catalog window.
- Fixes with units, do not confuse units any more
- Utf8 fixes
- other minor fixes
- Releases 0.51 and 0.52 screwed.

    => release v. 0.53 (oct 11, 2013)

Changes since version 0.50: #########################################
- Fix drag and drop in catalogues.
- Implemented removal of sub chapters.
- Add the content of an entire template catalog chapter to the document
  if the chapter item is selected.
- Added a new setting "Own Identity" to allow to pick the own identity
  from the address books in an installed system.
- Make text template loading utf8 save.
- Reworked image-in-template example in invoice report template.
- Fixed unit handling, no more startsWith coparison of text.

    => release v. 0.51 (sep 22, 2013)

Changes since version 0.45: #########################################
- Handling of individual tax rates for each document item
- bugfix: escape texts in reports correctly (reported by Lars Diel).
- bugfix: if akonadi address was not found, display proper msg.
- Proper error message if a python module is not installed but needed
  by the pdf generator.
- added button to assign an address book entry as document receiver
  for existing documents (Bug #3477467)
- bugfix: Display of number of processed sql commands in setup
  assistant (Bug #3560611)
- started to optimize database save of documents for more performant
  saves.
- bugfix: Fixed import of document items from csv lists.
- added page number on default document from page two to end.
- bugfix: Fixed mysql database setup.
- Rearragned doc type setup dialog to better display path names of
  template file and watermark file.
- bugfix: If a manual entered template has checkbox "store in template
  catalog, the template is immediately written to and catalog is
  reloaded.
- bugfix: Focus on the last added item on document edit.

    => release v. 0.50 (dec 17, 2012)

Changes since version 0.44: #########################################
- bugfix release: Fixed the display of decimal places in the PDF
  document which caused broken documents.

    => release v. 0.45 (nov 08,2011)

Changes since version 0.43: #########################################
- Completely reworked the addressbook widget in Kraft, used in new doc
  assistant and in the "who am i" dialog: Fully Akonadi-based, works
  with various addressbooks and loads addresses way more fast.
- Completely reworked text template widget used in the document editor:
  Less bugs, more obvious gui, help texts where needed
- Fixed bug that crashed Kraft when clicking on empty catalog chapters.
- Add ability to add localized report template files, added german
  localization
- Fixed bug that numbers in the doc are not localized correctly
- Fixed bug that the doc type is not taken correctly from the new doc
  wizard
- No need any more to checkbox single item templates to move them into
  the document. Selecting is sufficient.
- Added a search line in the "who am i"-dialog

    => release v. 0.44 (nov 03,2011)

Changes since version 0.41: #########################################
- Added search box in digest lists again, for that enhanced the search
  field class.
- cleaned up the digest models
- optimized the digest model
- changed from treeview to tableview for latest- and all view

   => release v. 0.43 (may 25, 2011)

Changes since version 0.40: #########################################
- More changes to the Akonadi based addressbook integration
- switched to a python only version of trml2pdf called erml2pdf,
  makes porting to other platforms easier plus dropped dependency on
  java with pdftk
- used Qt Model/View for the document lists. Way faster startup.
- New document digest view
- Catalogs: Implemented nested catalog structure
- Catalogs: Moving templates around per d&d
- Catalogs: user defined sorting in catalogs
- Catalogs: dropping of templates

   => released v. 0.41 (april 18th, 2011)

Changes since version 0.32: #########################################
- Ported to the KDE 4 Platform. In particular, to KDE 4.4
- Use Akonadi based addressbook
- Edit dialog for Wages and Units
- SQLite-Support
- Setup Assistant for SQLite and MySQL Databases

   => released v. 0.40

Changes since version 0.31: #########################################
- Tax: Added more flexible tax calculation. Kraft now has the tax in
  a table for easy changing, supports no, reduced and full tax on
  document level for this release, on item level later.
- Numbercycles: All Kraft documents need an unique document number.
  These are taken from numbercycles now which can be edited and shared
  between document types.
- Watermark: Kraft documents can now be merged with an existing pdf file
  with the company logo. Configuration through the Kraft settings on
  a per document type basis
- Templates: Kraft now supports different templates for each document
  type. Templates can be configured through the Kraft settings.
- Project-String: There is a project label at the document. It is
  exported to the document template.
- System-Tab: Display of some interesting setup information
- Templates for PDF and HTML output are reloaded if modified

   => released v. 0.32

Changes since version 0.30: #########################################
- added a read only view on documents, customizable with ctemplate
  as html page
- added importing items from text files with configurable import
  filters, to enable usage of special software which is able to
  export text files
- added document number cycles: The unique id of a document depends
  on a unique number. Now there can be multiple number cycles which
  can be used by document types. Multiple doc types can use the same
  number cycle, that means that for example all types of invoices
  count the same number cycle while offers are in another.

   => released v. 0.31

Changes since version 0.25: #########################################
- introduced the extended combo box with explanation line for units.
- added document item tagging
- added discount item system, based on tagging
- tag templates with tag template edit dialog
- fixed a bunch of bugs with text templates (header- and footer text)
- tag selection in ordinary add-item-to-document dialog

   => released v. 0.30

Changes since version 0.24: #########################################
- Added a Wizard for document creation
- Improved the document overview widget for more intuitive use.
- Copying of complete documents added.
- Followup documents (eg. Invoice follows Offer) added
- Litte marker for new documents added to doc overview list.
- Help text added to positions canvas
- Client address bits added to the available template variables

Changes since version 0.23: #########################################
- internationalisation: Ability to do documents in a different location
  than the desktop is running under.

  => released BETA v. 0.24

Changes since version 0.22: #########################################

- fixed: database migration 5: added IF EXISTS
- fixed: encoding in the report file
- improved: The document digest overview is not longer always redrawed
            and looses its selected item.

  => released v. 0.23

Changes since version 0.20: #########################################

- fixed: select from catalogs with doubleclick
- fixed: allow prices for positions larger than 10k
- fixed: openArchivedDocument printed again instead of opening
         archived doc from the archive path
- fixed: template texts in the catalog view where not shown if they
         were exactly 60 chars long.
- feature: Alternative positions
- feature: Demand positions
- feature: Switched to google template system, see
           http://code.google.com/p/google-ctemplate/
- bugfix: Catalog changes show up directly in opened catalogs, also
          if open as a template catalog in the doc window.

  => released v. 0.22

Changes since version 0.14: #########################################

- fixed bug with manual price field that needs to be left by
  TAB to get a change recognised.
- increased precision to 2 digits for position amounts
- allow euro-sign in texts and in the whiteboard. Due to a lack
  in the qt3 mysql driver the char needs to be en- and decoded.
- reduced the amount of toolbar buttons to only show the important
  ones.
- more beautifull and working navigation block in the document dialog
- mailing documents added
- Completely changed header- and footer text template system:
  * now there is more than one text available per text- and doc type
  * direct adding, editing and removing of texts from the dialog
  * selecting template texts in the same way as selecting position
    templates, more intuitive GUI
- Addresses also selectable from an address catalog
- persist the selection of the greeting and salut text
- Document ID now configurable in the settings file, key DocIdent:
  [document]
  DocIdent=T-%y%w%i
- database upgrade code more robust
- now additionally save archived xml documents

Bugs fixed:
- fixed time lined doc overview, now displaying all documents of
  all months of a year.
- fixed modification indication: Now also adding a position counts
  as modification
- encoding bugs fixed
- allow to leave text edit fields using the tab key
- deletion of positions: Fixed an iteration over the list issue
- smarter template-to-doc-position dialog
- others
